#pragma once

#include "CoreMinimal.h"
#include "TentacleSwingCooldownSettings.generated.h"

class UCurveFloat;

USTRUCT(BlueprintType)
struct FTentacleSwingCooldownSettings
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float Duration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UCurveFloat* SpeedCurve;

public:
	THEK39_API FTentacleSwingCooldownSettings();
};

FORCEINLINE uint32 GetTypeHash(const FTentacleSwingCooldownSettings) { return 0; }
